Sets the activation function for all of the hidden layers

- « fann_set_activation_function

- fann_set_activation_function_layer »

- PHP Manual
- Fann Functions
- Sets the activation function for all of the hidden layers

# fann_set_activation_function_hidden

(PECL fann >= 1.0.0)

fann_set_activation_function_hidden — Sets the activation function for all of the hidden layers

### Description

fann_set_activation_function_hidden(resource `$ann`, int `$activation_function`): bool

Sets the activation function for all of the hidden layers.

### Parameters

`ann`

  Neural network resource.

`activation_function`

  The activation functions constant.

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_set_activation_function() - Sets the activation function for supplied neuron and layer
- fann_set_activation_function_layer() - Sets the activation function for all the neurons in the supplied layer
- fann_set_activation_function_output() - Sets the activation function for the output layer
- fann_set_activation_steepness() - Sets the activation steepness for supplied neuron and layer number